@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400&display=swap');

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: 'Poppins', sans-serif;
  background-image: url('Components/background_img.jpeg');
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  color:#fff
}

h1 {
  font-size: 50px;
  text-align: center;
  text-shadow: 10px 10px rgba(0,0,0,0.2);
}

p {
  font-size: 22px;
  text-align: center;
  text-shadow: 5px 5px rgba(0,0,0,0.2);
}

.main-container {
  margin: 30px;
  overflow: auto;
  border: 4px solid steelblue;
  padding: 20px;
  border-radius: 15px;
}

.header {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 30px;
}

.map-container {
  height: 70vh;
  width: 100%;
  background-color: rgb(226,244,255);
  box-shadow: 50px 50px 50px 1px rgba(0,0,0,0.2);
}

.column {
  float: right;
  padding: 30px;
}

.left {
  width: 65%;
}

.right{
  width: 35%;
}

.row:after {
  content: "";
  display: table;
  clear: both;
}

/* Responsive layout - makes the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 1500px) {
  .column {
    width: 100%;
  }
  .control-container {
    max-height: 1000px;
  }
}

.control-container {
  background-color: transparent;
  height: 70vh;
  width: 100%;
  box-shadow: 50px 50px 50px 50px rgba(0,0,0,0.2);
  transition: 0.5s;
}

.buttons {
  display: grid;
  grid-template-columns: 42% 42%;
  grid-template-rows: 1;  
}


.act-button {
  background: rgba(70, 130, 180, 0.8);
  color: #fff;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  text-decoration: none;
  font-size: 17px;
  font-family: inherit;
  box-shadow: 5px 5px 5px 5px rgba(0,0,0,0.3)
}

.act-button:active {
  transform: scale(0.95);
}

.gen {
  padding: 10px;
  margin-left: 30px;
}

.form-control {
  margin: 0px 20px;
}

.form-control label {
  display: block;
  font-size: 17px;
  margin-left: 10px;
  text-shadow: 2px 2px rgba(0,0,0,0.2);
}

.form-control input {
  width: 70%;
  height: 40px;
  margin: 10px;
  padding: 3px 7px;
  font-size: 17px;
}

.slider-label {
  font-size: 17px;
  text-align: left;
  background: rgba(70, 130, 180, 0.8);
  color: #fff;
  border: none;
  padding: 5px;
  border-radius: 5px;
  pointer-events: none;
  text-decoration: none;
  font-family: inherit;
  box-shadow: 5px 5px 5px 5px rgba(0,0,0,0.3);
  width: 160px;
}

.download {
  margin-top: 60px;
}

.infomsg {
  font-size: 25px;
  color: white;
  margin-left: 40px;
  padding-top: 40px;
  text-shadow: 3px 3px rgba(0,0,0,0.2);
}